最新消息:文章中包含代码时,请遵守代码高亮规范!

iOS 安装cocoapods报错ERROR: While executing gem

iOS Surfin 2727浏览 0评论

安装指令

sudo gem install cocoapods

报错信息如下:

ERROR:  SSL verification error at depth 2: unable to get local issuer certificate (20)
ERROR:  You must add /C=US/O=VeriSign, Inc./OU=Class 3 Public Primary Certification Authority to your local trusted store
ERROR:  SSL verification error at depth 1: unable to get local issuer certificate (20)
ERROR:  You must add /C=IL/O=StartCom Ltd./OU=Secure Digital Certificate Signing/CN=StartCom Certification Authority to your local trusted store
ERROR:  SSL verification error at depth 2: self signed certificate in certificate chain (19)
ERROR:  Root certificate is not trusted (/C=US/O=GeoTrust Inc./CN=GeoTrust Global CA)
ERROR: While executing gem ... (Errno::EPERM)
Operation not permitted - /usr/bin/pod

解决方法如下:

sudo gem install -n /usr/local/bin cocoapods

OR

sudo gem install -n /usr/local/bin GEM_NAME_HERE

转载时请注明出处及相应链接,本文永久地址:http://blog.it985.com/18645.html


pay_weixin
pay_weixin
微信打赏
pay_weixin
支付宝打赏
感谢您对作者surfin的打赏,我们会更加努力!    如果您想成为作者,请点我

您必须 登录 才能发表评论!